use strict;
use warnings;
use Test::More qw/no_plan/;

BEGIN { use_ok 'Catalyst::Test', 'LolCatalyst::Lite' }

use HTTP::Request::Common;

my ($request, $response);

$request = POST(
        'http://localhost/translate',
        'Content-Type' => 'form-data',
        'Content'      => [
            'lol' => 'Can i have a cheese burger?',
        ]);

ok( $response = request($request), 'Request');
ok( $response->is_success, 'Response Successful 2xx' );
is( $response->content_type, 'text/html', 'Response Content-Type' );
like( $response->content, qr/CHEEZ/, "contains translated string");

ok(
  $response = request(GET 'http://localhost/translate/1'),
  'Request for default translation type'
);

ok( $response->is_success, 'Response Successful 2xx' );

like( $response->content, qr/CHEEZ/, "contains translated string");

ok(
  $response = request(GET 'http://localhost/translate/100'),
  'Request for default translation type on non-existant object'
);

cmp_ok( $response->code, '==', 404, '404 error returned');

ok(
  $response = request(GET 'http://localhost/translate/1/to/LOLCAT'),
  'Request for specific translation type'
);

ok( $response->is_success, 'Response Successful 2xx' );

like( $response->content, qr/CHEEZ/, "contains translated string");
